package com.unis.base.server.service;

import java.util.List;

import com.github.pagehelper.PageInfo;
import com.unis.base.common.vo.TyCrkxxPageVO;
import com.unis.base.common.vo.TyCrkxxVO;

/**
 * @author huangxing
 * @version 1.0
 * @Title: TyCrkxxService
 * @ProjectName TyCrkxxService
 * @Description:
 * @date 2019/7/22 17:47
 */
public interface TyCrkxxService {

	/**
	 * 获取信息列表
	 * @param dKdxxsjyVO
	 * @return
	 */
	List<TyCrkxxVO> getTyCrkxxList(TyCrkxxVO tyCrkxxVO);

	/**
	 * 分页展示
	 * @param tyCrkxxVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	PageInfo<TyCrkxxVO> getTyCrkxxPage(TyCrkxxVO tyCrkxxVO, Integer pageNum, Integer pageSize);

	/**
	 * 新增信息
	 * @param TyCrkxxVO
	 * @return
	 */
	int insert(TyCrkxxVO tyCrkxxVO);

	/**
	 * 更新信息
	 * @param dAjxxsjyVO
	 * @return
	 */
	int update(TyCrkxxVO tyCrkxxVO);

	/**
	 * 删除信息
	 * @author huangxing
	 * @param dAjxxsjyVO
	 * @return
	 */
	int delete(String crkid);

	/**
	 * 根据编号获取信息
	 * @param ajbh
	 * @return 廒间信息
	 */
	TyCrkxxVO getTyCrkxxByCrkid(String crkid);

	/**
	 * @Author lidiaoquan
	 * @version V1.0
	 * @Description 分页 含合同信息
	 * @Date 2019年9月24日 下午2:25:27
	 * @param tyCrkxxVO
	 * @param pageNum
	 * @param pageSize
	 * @return PageInfo<TyCrkxxPageVO>
	 */
	PageInfo<TyCrkxxPageVO> getTyCrkxxPageExtend(TyCrkxxPageVO tyCrkxxVO, Integer pageNum, Integer pageSize);
}
